Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225960 - Merge Review: kdbg
Summary: Merge Review: kdbg
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:14 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-06 12:38:13 UTC
rdieter: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 19:14:56 UTC
Fedora Merge Review: kdbg

http://cvs.fedora.redhat.com/viewcvs/devel/kdbg/
Initial Owner: than@redhat.com

Comment 1 Rex Dieter 2007-03-08 14:27:05 UTC
$ rpmlint kdbg-2.0.2-1.2.1.i386.rpm
W: kdbg summary-ended-with-dot A GUI for gdb, the GNU debugger, and KDE.

1.  SHOULD: drop '.' from summary

Comment 2 Rex Dieter 2007-03-08 14:38:28 UTC
2.  MUST: add missing icon scriptlets
%post
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:

%postun
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:

3.  MUST: change  in %files
%{_datadir}/applications/*
to
%{_datadir}/applications/kde/*
(ie, this package shouldn't own %_datadir/applications/kde dir)

4. (corrolary to 3) SHOULD fix desktop-file-install invocation (it currently
does nothing)

5. MUST add to %files
%doc BUGS ChangeLog COPYING README TODO
(ok, only COPYING is MUST, the others are SHOULD)

6. misc SHOULDs:
-BuildRequires: kdelibs-devel >= 6:3.5.6
+BuildRequires: kdelibs-devel

drop --with-qt-dir=$QTDIR from configure flags (it shouldn't be needed)

Comment 3 Ngo Than 2007-03-12 11:05:10 UTC
it's now fixed in kdbg-2_0_5-2_fc7, Please take a look at new package in 
rawhide. Thanks

Comment 4 Rex Dieter 2007-03-12 12:14:08 UTC
(can't see 2.0.5-2 in repo or cvs yet...)...

$ rpmlint kdbg-2.0.5-1.src.rpm
...
E: kdbg tag-not-utf8 %changelog
E: kdbg non-utf8-spec-file kdbg.spec
W: kdbg macro-in-%changelog lang

7. SHOULD: in %changelog, "Sun Apr 29 2001" entry, s/%lang/%%lang/

8. SHOULD: not sure exactly about the utf8 error(s), but this seemed to fix it
for me:
cp -a kdbg.spec kdbg.spec.orig
iconv -f iso8859-1 -t utf8 kdbg.spec.orig > kdbg.spec
(seems to stem from Trond's Feb 280 2001 changelog entry)
 


Comment 5 Rex Dieter 2007-03-12 13:31:07 UTC
MUSTs addressed, can sort out remaining SHOULD items post-review.


Note You need to log in before you can comment on or make changes to this bug.